summaryrefslogtreecommitdiff
path: root/tsp/scripts
diff options
context:
space:
mode:
authorAleksander Mistewicz <a.mistewicz@samsung.com>2017-04-19 08:59:53 (GMT)
committerAleksander Mistewicz <a.mistewicz@samsung.com>2017-08-08 08:17:56 (GMT)
commite7b8edff5a2a5231cfacfda973f4f7ef280fb088 (patch)
tree0135f706eda9393a94aa3f25d8afdc1f125c933d /tsp/scripts
parent24ed88794ed1fd82ba7ac9256fc2d75ae66d95d8 (diff)
downloadmajor-e7b8edff5a2a5231cfacfda973f4f7ef280fb088.zip
major-e7b8edff5a2a5231cfacfda973f4f7ef280fb088.tar.gz
major-e7b8edff5a2a5231cfacfda973f4f7ef280fb088.tar.bz2
Add RaspberryPi 3 to TITSrefs/changes/24/130924/3
Database update is required. Delete it or run: . tsp/common.sh sqlite3 "${DBPATH}" -batch < tsp/results-values-device.sql Change-Id: I220f060a7186b047a2d55271beab1aafc4398863
Diffstat (limited to 'tsp/scripts')
-rwxr-xr-xtsp/scripts/common_prep_flash_conf.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/tsp/scripts/common_prep_flash_conf.sh b/tsp/scripts/common_prep_flash_conf.sh
index 195e6bf..85842ad 100755
--- a/tsp/scripts/common_prep_flash_conf.sh
+++ b/tsp/scripts/common_prep_flash_conf.sh
@@ -31,6 +31,10 @@ case "$TARGET" in
USR_IMG="$(pwd)/$(ls tizen-*-wayland-*odroid*.tar.gz)"
test -f "$USR_IMG" || USR_IMG="$(pwd)/$(ls tizen-*-target-*odroid*.tar.gz)"
;;
+ *rpi3*)
+ BOOT_IMG="$(pwd)/$(ls tizen-*-boot-*rpi3*.tar.gz)"
+ USR_IMG="$(pwd)/$(ls tizen-*-headless-*rpi3*.tar.gz)"
+ ;;
*artik*)
BOOT_IMG="$(pwd)/$(ls tizen-*-boot-*artik*.tar.gz)"
USR_IMG="$(pwd)/$(ls tizen-*-3parts-*artik*.tar.gz)"
@@ -69,7 +73,7 @@ echo "sdmux allocated: ${SDMUX}"
clean() {
case "$TARGET" in
- *odroid*|*artik*)
+ *odroid*|*artik*|*rpi3*)
rm -v "$USR_IMG" "$BOOT_IMG"
;;
*minnow*)
@@ -95,6 +99,10 @@ case "$TARGET" in
"${TESTLAB_MAJOR}/tct/odroid_prepare_flash_conf.sh" "$SDMUX" "$USR_IMG" "$BOOT_IMG" || failed "Flash failed"
"${TESTLAB_MAJOR}/tct/odroid_run.sh" "$SDMUX"
;;
+ *rpi3*)
+ "${TESTLAB_MAJOR}/tct/rpi3_prepare_flash_conf.sh" "$SDMUX" "$USR_IMG" "$BOOT_IMG" || failed "Flash failed"
+ "${TESTLAB_MAJOR}/tct/rpi3_run.sh" "$SDMUX"
+ ;;
*artik*)
"${TESTLAB_MAJOR}/tct/artik_prepare_flash_conf.sh" "$SDMUX" "$USR_IMG" "$BOOT_IMG" || failed "Flash failed"
"${TESTLAB_MAJOR}/tct/odroid_run.sh" "$SDMUX"